=== debian/changelog ===
libpinyin (0.6.91-1) unstable; urgency=low

  * Imported Upstream version 0.6.91
  * Add upstream patch: 
    - fixes test_flexible_ngram.cpp
    - fixes kfreebsd build

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 26 May 2012 09:43:35 +0800

libpinyin (0.5.92-1) unstable; urgency=low

  * Initial release (Closes: #658144)

 -- Aron Xu <aron@debian.org>  Fri, 04 May 2012 01:35:31 +0800
