=== debian/control ===
Source: libpinyin
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), autotools-dev, libltdl-dev,
    libglib2.0-dev, libdb-dev, dh-autoreconf
Standards-Version: 3.9.3
Section: libs
Homepage: http://github.com/libpinyin
Vcs-Git: git://git.debian.org/pkg-ime/libpinyin.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/libpinyin.git

Package: libpinyin0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libpinyin0 (= ${binary:Version})
Recommends: libpinyin-utils
Provides: libpinyin-dev
Conflicts: libpinyin-dev
Description: library to deal with PinYin - development files
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the library development files.

Package: libpinyin0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: fcitx-libpinyin (<< 0.1.1-2)
Provides: libpinyin
Suggests: libpinyin-utils
Description: library to deal with PinYin
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the library files.

Package: libpinyin-utils
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to deal with PinYin - utilities
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the utilities for manipulating dict files.

Package: libpinyin-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libpinyin0 (= ${binary:Version}) 
Description: library to deal with PinYin - debug symbols
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the debug symbols of the library and
 executables.
