## libpinyin 0.8.0

=== debian/changelog ===
libpinyin (0.8.0-2) unstable; urgency=low

  * Bump standard version to 3.9.4: no modification needed.
  * Remove DMUA tag.
  * Upload to unstable.
  * Add symbols for libpinyin2.

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 16 Feb 2013 13:08:01 +0800

libpinyin (0.8.0-1) experimental; urgency=low

  * New upstream release

 -- Aron Xu <aron@debian.org>  Fri, 30 Nov 2012 21:46:09 +0800

libpinyin (0.7.92-1) experimental; urgency=low

  * New upstream release

 -- Asias He <asias@debian.org>  Tue, 16 Oct 2012 19:40:17 +0800

libpinyin (0.7.91-1) experimental; urgency=low

  * New upstream release

 -- Asias He <asias@debian.org>  Fri, 05 Oct 2012 21:42:29 +0800

libpinyin (0.7.0-2) experimental; urgency=low

  * Add Breaks/Replaces entry for libpinyin0 (Closes: #684032).

 -- Aron Xu <aron@debian.org>  Wed, 08 Aug 2012 16:53:44 +0000

libpinyin (0.7.0-1) experimental; urgency=low

  * New upstream release
  * Rename to libpinyin2, because upstream SONAME bump.
  * Remove 0002-fixes_test_flexible_ngram.cpp_kfreebsd_build.patch,
    applied upstream.
  * Remove README.Debian, not needed anymore.

 -- Aron Xu <aron@debian.org>  Sun, 29 Jul 2012 23:34:56 +0800
