=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: libpinyin
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-DM-Upload-Allowed: yes
+Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>, Asias He <asias@debian.org>
 Build-Depends: debhelper (>= 9), autotools-dev, libltdl-dev,
     libglib2.0-dev, libdb-dev, dh-autoreconf
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://github.com/libpinyin
 Vcs-Git: git://git.debian.org/pkg-ime/libpinyin.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ime/libpinyin.git
 
-Package: libpinyin0-dev
+Package: libpinyin2-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libpinyin0 (= ${binary:Version})
+Depends: ${misc:Depends}, libpinyin2 (= ${binary:Version})
 Recommends: libpinyin-utils
 Provides: libpinyin-dev
 Conflicts: libpinyin-dev
@@ -25,12 +24,13 @@
  .
  This package provides the library development files.
 
-Package: libpinyin0
+Package: libpinyin2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: fcitx-libpinyin (<< 0.1.1-2)
+Breaks: fcitx-libpinyin (<< 0.2.0), libpinyin0
+Replaces: libpinyin0
 Provides: libpinyin
 Suggests: libpinyin-utils
 Description: library to deal with PinYin
@@ -55,7 +55,7 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libpinyin0 (= ${binary:Version}) 
+Depends: ${misc:Depends}, libpinyin2 (= ${binary:Version}) 
 Description: library to deal with PinYin - debug symbols
  libpinyin is a set of core algorithms designed for intelligent
  sentence-based Chinese PinYin input methods.
