## libpinyin 0.9.93%2Brepack1

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -26,11 +26,29 @@
     ${CMAKE_BINARY_DIR}/utils/storage/import_interpolation
 )
 
+set(
+    gen_unigram_BIN
+    ${CMAKE_BINARY_DIR}/utils/training/gen_unigram
+)
+
 add_custom_target(
     data
     ALL
     DEPENDS
         ${BINARY_MODEL_DATA}
+)
+
+add_custom_command(
+    OUTPUT
+        ${CMAKE_SOURCE_DIR}/data/gb_char.table
+        ${CMAKE_SOURCE_DIR}/data/gbk_char.table
+        ${CMAKE_SOURCE_DIR}/data/interpolation2.text
+    COMMENT
+        "Downloading textual model data..."
+    COMMAND
+       wget http://downloads.sourceforge.net/libpinyin/models/model5.text.tar.gz
+    COMMAND
+       tar xvf model5.text.tar.gz -C ${CMAKE_SOURCE_DIR}/data
 )
 
 add_custom_command(
@@ -45,6 +63,8 @@
         ${gen_binary_files_BIN} --table-dir ${CMAKE_SOURCE_DIR}/data
     DEPENDS
         gen_binary_files
+	${CMAKE_SOURCE_DIR}/data/gb_char.table
+	${CMAKE_SOURCE_DIR}/data/gbk_char.table
 )
 
 add_custom_command(
@@ -53,9 +73,12 @@
     COMMENT
         "Building binary bigram data..."
     COMMAND
-        ${import_interpolation_BIN} < ${CMAKE_SOURCE_DIR}/data/interpolation.text
+        ${import_interpolation_BIN} < ${CMAKE_SOURCE_DIR}/data/interpolation2.text
+    COMMAND
+        ${gen_unigram_BIN}
     DEPENDS
         import_interpolation
+	${CMAKE_SOURCE_DIR}/data/interpolation2.text
 )
 
 install(
