## libpinyin 0.9.93+repack1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 ##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
-## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
 ######## Project settings
 cmake_minimum_required(VERSION 2.8)
@@ -24,9 +24,9 @@
 set (PACKAGE_URL https://github.com/libpinyin/libpinyin)
 set (PACKAGE_BUGREPORT https://github.com/libpinyin/libpinyin/issues)
 set (LIBPINYIN_VERSION_MAJOR 0)
-set (LIBPINYIN_VERSION_MINOR 2)
-set (LIBPINYIN_VERSION_REVISION 99)
-set (LIBPINYIN_BINARY_VERSION 0.3)
+set (LIBPINYIN_VERSION_MINOR 7)
+set (LIBPINYIN_VERSION_REVISION 0)
+set (LIBPINYIN_BINARY_VERSION 2.0)
 
 if (CMAKE_BUILD_TYPE MATCHES Debug)
     set (version_suffix .Debug)
@@ -36,6 +36,8 @@
     LIBPINYIN_VERSION
     ${LIBPINYIN_VERSION_MAJOR}.${LIBPINYIN_VERSION_MINOR}.${LIBPINYIN_VERSION_REVISION}${version_suffix}
 )
+
+set (VERSION ${LIBPINYIN_VERSION})
 
 ######## Validation
 
@@ -103,6 +105,12 @@
 
 ######## Configuration
 
+set (prefix ${DIR_PREFIX})
+set (exec_prefix ${DIR_PREFIX})
+set (libdir ${DIR_LIBRARY})
+set (includedir ${DIR_INCLUDE})
+set (datadir ${DIR_SHARE})
+
 configure_file(
     libpinyin.pc.in
     libpinyin.pc
@@ -131,11 +139,13 @@
     ${PROJECT_SOURCE_DIR}/src/include
     ${PROJECT_SOURCE_DIR}/src/storage
     ${PROJECT_SOURCE_DIR}/src/lookup
+    ${PROJECT_SOURCE_DIR}/utils
+    ${PROJECT_SOURCE_DIR}/tests
 )
 
 ######## Subdirectories
 
-add_subdirectory(data)
 add_subdirectory(src)
 add_subdirectory(tests)
 add_subdirectory(utils)
+add_subdirectory(data)
