=== utils/CMakeLists.txt ===
add_subdirectory(segment)
add_subdirectory(storage)
add_subdirectory(training)
