=== src/lookup/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,7 @@
 
 set(
     LIBLOOKUP_SOURCES
-    pinyin_lookup.cpp
-    winner_tree.cpp
+    pinyin_lookup2.cpp
     phrase_lookup.cpp
     lookup.cpp
 )
