=== debian/changelog ===
libpinyin (0.9.93+repack1-1ubuntu1) trusty; urgency=low

  * Cherrypick from upstream to force C locale when loading table.conf
    (LP: #1255999)

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 03 Dec 2013 15:59:58 +0000

libpinyin (0.9.93+repack1-1) unstable; urgency=low

  * Upload to unstable.

 -- Aron Xu <aron@debian.org>  Mon, 30 Sep 2013 19:59:38 +0800

libpinyin (0.9.93+repack1-0exp2) experimental; urgency=low

  * Team upload.
  * Update Breaks/Replaces (Closes: #723958)

 -- Aron Xu <happyaron.xu@gmail.com>  Mon, 23 Sep 2013 01:15:49 +0800

libpinyin (0.9.93+repack1-0exp1) experimental; urgency=low

  * Team upload.
  * New upstream release.

 -- Aron Xu <aron@debian.org>  Fri, 20 Sep 2013 00:40:15 +0800
