=== debian/control ===
Source: libpinyin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           YunQiang Su <wzssyqa@gmail.com>,
           Asias He <asias@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               libdb-dev,
               libglib2.0-dev,
               libltdl-dev
Standards-Version: 3.9.4
Section: libs
Homepage: http://github.com/libpinyin
Vcs-Git: git://anonscm.debian.org/pkg-ime/libpinyin.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-ime/libpinyin.git

Package: libpinyin4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpinyin4 (= ${binary:Version}), ${misc:Depends}
Recommends: libpinyin-utils
Provides: libpinyin-dev
Conflicts: libpinyin-dev
Description: library to deal with PinYin - development files
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the library development files.

Package: libpinyin4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: fcitx-libpinyin (<< 0.2.0), libpinyin0, libpinyin2
Replaces: libpinyin0, libpinyin2
Provides: libpinyin
Suggests: libpinyin-utils
Description: library to deal with PinYin
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the library files.

Package: libpinyin-utils
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to deal with PinYin - utilities
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the utilities for manipulating dict files.

Package: libpinyin-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libpinyin4 (= ${binary:Version}), ${misc:Depends}
Description: library to deal with PinYin - debug symbols
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the debug symbols of the library and
 executables.
