=== debian/rules ===
--- 
+++ 
@@ -15,5 +15,6 @@
 	    --datarootdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 override_dh_strip:
 	dh_strip --dbg-package=libpinyin-dbg
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
+override_dh_install:
+	find debian/ -name *.la -delete
+	dh_install --fail-missing
