=== debian/watch ===
version=3
http://githubredir.debian.net/github/libpinyin/libpinyin/ (.*).tar.gz
