## libpinyin 1.0.0+repack2

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -46,9 +46,9 @@
     COMMENT
         "Downloading textual model data..."
     COMMAND
-       wget http://downloads.sourceforge.net/libpinyin/models/model5.text.tar.gz
+       wget http://downloads.sourceforge.net/libpinyin/models/model7.text.tar.gz
     COMMAND
-       tar xvf model5.text.tar.gz -C ${CMAKE_SOURCE_DIR}/data
+       tar xvf model7.text.tar.gz -C ${CMAKE_SOURCE_DIR}/data
 )
 
 add_custom_command(
