=== debian/changelog ===
libpinyin (1.0.0+repack2-1ubuntu1~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 08:06:09 +0000

libpinyin (1.0.0+repack2-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sun, 06 Jul 2014 03:03:51 +0800
