=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libdb-dev,
                libglib2.0-dev,
                libltdl-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://github.com/libpinyin
 Vcs-Git: git://anonscm.debian.org/pkg-ime/libpinyin.git
