## libpinyin 1.3.0

=== debian/changelog ===
libpinyin (1.3.0-2ubuntu1) xenial; urgency=medium

  * debian/control:
    - Add the libglib2.0-dev missing dependency to libpinyin7-dev

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 22 Jan 2016 22:34:43 +0100

libpinyin (1.3.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Aron Xu <aron@debian.org>  Wed, 16 Dec 2015 14:08:16 +0800

libpinyin (1.3.0-1) experimental; urgency=medium

  * New upstream release

 -- Aron Xu <aron@debian.org>  Mon, 14 Dec 2015 23:24:55 +0800

libpinyin (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Change so version to 6.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 15 Oct 2015 17:03:07 +0800

libpinyin (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6
  * Change so version to 5
  * Fix Vcs-Browser
  * Update watch to SourceForge
  * Add autopkgtest

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Sep 2015 12:58:40 +0800
