=== debian/control ===
--- 
+++ 
@@ -4,24 +4,25 @@
 XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            YunQiang Su <wzssyqa@gmail.com>,
-           Asias He <asias@debian.org>
+           Asias He <asias@debian.org>,
+           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
                libdb-dev,
                libglib2.0-dev,
                libltdl-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://github.com/libpinyin
 Vcs-Git: git://anonscm.debian.org/pkg-ime/libpinyin.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-ime/libpinyin.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-ime/libpinyin.git
 
-Package: libpinyin4-dev
+Package: libpinyin7-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libpinyin4 (= ${binary:Version}), ${misc:Depends}
+Depends: libglib2.0-dev, libpinyin7 (= ${binary:Version}), ${misc:Depends}
 Recommends: libpinyin-utils
 Provides: libpinyin-dev
 Conflicts: libpinyin-dev
@@ -31,13 +32,13 @@
  .
  This package provides the library development files.
 
-Package: libpinyin4
+Package: libpinyin7
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: fcitx-libpinyin (<< 0.2.0), libpinyin0, libpinyin2
-Replaces: libpinyin0, libpinyin2
+Breaks: fcitx-libpinyin (<< 0.2.0), libpinyin0, libpinyin2, libpinyin4, libpinyin5, libpinyin6
+Replaces: libpinyin0, libpinyin2, libpinyin4, libpinyin5, libpinyin6
 Provides: libpinyin
 Suggests: libpinyin-utils
 Description: library to deal with PinYin
@@ -62,7 +63,7 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: libpinyin4 (= ${binary:Version}), ${misc:Depends}
+Depends: libpinyin7 (= ${binary:Version}), ${misc:Depends}
 Description: library to deal with PinYin - debug symbols
  libpinyin is a set of core algorithms designed for intelligent
  sentence-based Chinese PinYin input methods.
