=== debian/tests/control ===
tests: build
Depends: libpinyin-dev, build-essential, pkg-config
