=== debian/watch ===
version=3
http://sf.net/libpinyin/libpinyin-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
