## libpinyin 2.1.91

=== debian/changelog ===
libpinyin (2.1.91-1) unstable; urgency=medium

  * Merge back to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 31 Jan 2018 19:10:11 +0800

libpinyin (2.1.91-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3.
  * Bump compat to 11.
  * Update Vcs-* fields to salsa.debian.org.
  * Update Homepage and Source.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 28 Jan 2018 19:58:57 +0800

libpinyin (2.1.0-1~exp3) experimental; urgency=medium

  * Specific libpinyin-common-dev version in libpinyin13-dev, libzhuyin-dev
    Depends to avoid broken header files.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 17 Sep 2017 18:34:29 +0800

libpinyin (2.1.0-1~exp2) experimental; urgency=medium

  * Fix missing header pinyin_custom2.h in libzhuyin-dev.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 16 Sep 2017 11:36:50 +0800

libpinyin (2.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump SO version to 13.
  * Add Breaks/Replaces in libpinyin-data for data transferred from libpinyin7
    to libpinyin-data (Closes: #874423).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 06 Sep 2017 18:41:11 +0800

libpinyin (2.0.92-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0.
  * Bump compat to 10.
    * Remove unused Build-Depends.
    * Remove --with autoreconf since it is default now.
    * Remove --parallel since it is default now.
    * Use dh_missing.
  * Bump SO version to 12.
  * Enable libzhuyin support.
  * Update Vcs-* fields.
  * Use copyright-format 1.0.
  * Migrate to use libpinyin-dbgsym instead of libpinyin-dbg.
  * Use harden build.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 04 Aug 2017 03:51:35 -0400

libpinyin (1.3.0-3) unstable; urgency=medium

  * Add the libglib2.0-dev missing dependency to libpinyin7-dev
    Thanks to Łukasz 'sil2100' Zemczak

 -- Aron Xu <aron@debian.org>  Thu, 01 Dec 2016 20:46:21 +0800
