=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Sautoconf -- \
	    --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	    --datarootdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	    --enable-libzhuyin \
	    $(NULL)

override_dh_strip:
	dh_strip --ddeb-migration='libpinyin-dbg (<< 2.0.92-1~exp1~), libzhuyin-dbg (<< 1.1.0-1~)'

override_dh_install:
	find debian/ -name *.la -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing
