## libpinyin 2.2.0

=== debian/changelog ===
libpinyin (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4.
  * Update Maintainer name.
  * Change libpinyin-common-dev Architecture to all.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 02 May 2018 00:23:22 +0800
