=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libpinyin
 Priority: optional
-Maintainer: IME Packaging Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            YunQiang Su <wzssyqa@gmail.com>,
            Asias He <asias@debian.org>,
@@ -9,7 +9,7 @@
                libdb-dev,
                libglib2.0-dev,
                libltdl-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Section: libs
 Homepage: https://github.com/libpinyin/libpinyin
 Vcs-Git: https://salsa.debian.org/debian/libpinyin.git
@@ -17,8 +17,8 @@
 
 Package: libpinyin-common-dev
 Section: libdevel
-Architecture: any
-Multi-Arch: same
+Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 Breaks: libpinyin13-dev (<< 2.1.0-1~exp2~),
 Replaces: libpinyin13-dev (<< 2.1.0-1~exp2~),
@@ -33,7 +33,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libpinyin-common-dev (= ${binary:Version}),
+         libpinyin-common-dev (= ${source:Version}),
          libpinyin13 (= ${binary:Version}),
          libglib2.0-dev,
 Recommends: libpinyin-utils
@@ -133,7 +133,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
-         libpinyin-common-dev (= ${binary:Version}),
+         libpinyin-common-dev (= ${source:Version}),
          libzhuyin13 (= ${binary:Version}),
          libglib2.0-dev
 Description: Development files for zhuyin input method library
