## libpinyin 2.2.2

=== debian/changelog ===
libpinyin (2.2.2-1~ubuntu18.04.1) bionic; urgency=medium

  * Backport of the disco version as an SRU in an attempt to reduce the
    number of crashes (LP: #1768166).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 22 May 2019 16:54:00 +0200

libpinyin (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 06 Feb 2019 16:15:44 +0800

libpinyin (2.2.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Boyuan Yang ]
  * New upstream version 2.2.1.
  * debian: Apply "wrap-and-sort -abst".
  * debian/control: Update uploaders' email address and use the @debian.org one.
  * debian/control: Bump Standards-Version to 4.2.1.
  * debian/rules: Modernize and use --dbgsym-migration instead of
    --ddeb-migration.

 -- Boyuan Yang <byang@debian.org>  Mon, 22 Oct 2018 22:17:40 -0400
