=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -16,7 +16,7 @@
 	    $(NULL)
 
 override_dh_strip:
-	dh_strip --ddeb-migration='libpinyin-dbg (<< 2.0.92-1~exp1~), libzhuyin-dbg (<< 1.1.0-1~)'
+	dh_strip --dbgsym-migration='libpinyin-dbg (<< 2.0.92-1~exp1~), libzhuyin-dbg (<< 1.1.0-1~)'
 
 override_dh_install:
 	find debian/ -name *.la -delete
