## libpinyin 2.3.0

=== debian/changelog ===
libpinyin (2.3.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:28:26 +0100

libpinyin (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0.
  * Bump compat to 12.
  * Remove dbgsym-migration.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 22 Jul 2019 01:34:04 +0800
