=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: libpinyin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Aron Xu <aron@debian.org>,
  YunQiang Su <syq@debian.org>,
  Asias He <asias@debian.org>,
  ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12~),
  libdb-dev,
  libglib2.0-dev,
  libltdl-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Section: libs
 Homepage: https://github.com/libpinyin/libpinyin
 Vcs-Git: https://salsa.debian.org/debian/libpinyin.git
