=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,6 @@
 	    --enable-libzhuyin \
 	    $(NULL)
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libpinyin-dbg (<< 2.0.92-1~exp1~), libzhuyin-dbg (<< 1.1.0-1~)'
-
 override_dh_install:
 	find debian/ -name *.la -delete
 	dh_install
