## libpinyin 2.6.0

=== debian/changelog ===
libpinyin (2.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat to v13.
  * Bump Standards-Version to 4.5.1.
  * debian/libzhuyin13.symbols: Refresh symbols.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Dec 2020 15:40:13 -0500
