=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  Asias He <asias@debian.org>,
  ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
 Build-Depends:
- debhelper (>= 12~),
+ debhelper-compat (= 13),
  libdb-dev,
  libglib2.0-dev,
  libltdl-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/libpinyin/libpinyin
 Vcs-Git: https://salsa.debian.org/debian/libpinyin.git
