=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 include /usr/share/dpkg/architecture.mk
 
-DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
@@ -15,9 +14,5 @@
 	    --enable-libzhuyin \
 	    $(NULL)
 
-override_dh_install:
+execute_before_dh_install:
 	find debian/ -name *.la -delete
-	dh_install
-
-override_dh_missing:
-	dh_missing --fail-missing
